From: <a href="/blend/av.cgi?id=392">Kindred_Spirit49</a><BR>
Date: 16 August 2013<P>

Kirk,...what CryingShame58 said... I agree<BR>
<BR>
Keep up the good work!<BR>
<BR>
KS
<HR>
From: <a href="/blend/av.cgi?id=2045">Ravenheart</a><BR>
Date: 16 August 2013<P>

Welcome Back, Kirk! I hope you had a great time and took lots of pictures. I think I speak for all of us when I say we expect an interesting blurb about your escapades to be in the works. We love to live vicariously through you...
<HR>
From: <a href="/blend/av.cgi?id=1758">annski808</a><BR>
Date: 16 August 2013<P>

Thanks for the frontpage pick!
<HR>
From: <a href="/blend/av.cgi?id=436">Jon</a><BR>
Date: 16 August 2013<P>

BK ~ thanks, been awhile. Glad to see some older members are still here too.
<HR>